Bug 9601 - Alexandria just crashed
: Alexandria just crashed
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alexandria)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-22 15:00 by
Modified: 2007-09-20 02:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-22 15:00:47
at@localhost ~ 7 $ sudo apt-get install alexandria
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  libyaz ruby ruby-amazon ruby-atk ruby-gconf2 ruby-gdkpixbuf2 ruby-gettext
ruby-glib2 ruby-gnome2 ruby-gtk2 ruby-libglade2 ruby-pango
  ruby-stdlibs ruby-zoom
The following NEW packages will be installed:
  alexandria libyaz ruby ruby-amazon ruby-atk ruby-gconf2 ruby-gdkpixbuf2
ruby-gettext ruby-glib2 ruby-gnome2 ruby-gtk2 ruby-libglade2
  ruby-pango ruby-stdlibs ruby-zoom
0 upgraded, 15 newly installed, 0 removed and 0 not upgraded.
Need to get 0B/4889kB of archives.
After unpacking 13.7MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Committing changes...
Preparing...                  
################################################################################################### [100%]
 1: ruby-stdlibs              
################################################################################################### [  6%]
 2: ruby                      
################################################################################################### [ 13%]
 3: ruby-amazon               
################################################################################################### [ 20%]
 4: ruby-gettext              
################################################################################################### [ 26%]
 5: libyaz                    
################################################################################################### [ 33%]
 6: ruby-zoom                 
################################################################################################### [ 40%]
 7: ruby-glib2                
################################################################################################### [ 46%]
 8: ruby-gdkpixbuf2           
################################################################################################### [ 53%]
 9: ruby-pango                
################################################################################################### [ 60%]
10: ruby-atk                  
################################################################################################### [ 66%]
11: ruby-gtk2                 
################################################################################################### [ 73%]
12: ruby-gnome2               
################################################################################################### [ 80%]
13: ruby-libglade2            
################################################################################################### [ 86%]
14: ruby-gconf2               
################################################################################################### [ 93%]
15: alexandria                
################################################################################################### [100%]
Done.
at@localhost ~ 7 $ sync
at@localhost ~ 7 $ rehash
at@localhost ~ 7 $ alexandria 
-----------------------
Alexandria just crashed
-----------------------
Timestamp: Mon May 22 15:00:03 MSD 2006
Message: uninitialized constant Alexandria::UI::Gnome
Backtrace:
/usr/share/ruby/vendor_ruby/1.8/alexandria/ui.rb:39:in `main'
/usr/share/ruby/vendor_ruby/1.8/alexandria.rb:66:in `main'
/usr/bin/alexandria:10
Release: 0.6.1

Uname -a: Linux localhost.localdomain 2.6.16-std26-up-alt5 #1 Sat May 20
20:35:59 MSD 2006 i686 GNU/Linux
--
Please report this dump to 'alexandria-list@rubyforge.org' with some additional
information, such as the description of the crash and the steps to reproduce it
(if it's possible).
at@localhost ~ 7 $
------- Comment #1 From 2006-05-23 00:55:52 -------
fixed in -alt0.2
------- Comment #2 From 2006-06-10 16:14:26 -------
from specfile:
> # Sorry, I have not time:
> Requires: ruby-gnome2-full

Nor brain.
------- Comment #3 From 2006-06-11 00:34:07 -------
В следующий раз прошу по-русски писать.
А есть дельные предложения?
------- Comment #4 From 2006-06-12 18:07:42 -------
$ packagereq -o /dev/stdout alexandria
покажет список requires.